Index: include/proto.h
===================================================================
--- include/proto.h	(revision 3163)
+++ include/proto.h	(working copy)
@@ -95,6 +95,7 @@
 #ifdef CRITICAL_MEMORY
 void sigfree(int);
 #endif
+void set_board_hidden(boardheader_t *bp, int hidden);
 
 /* brc */
 int brc_initialize(void);
Index: mbbsd/bbs.c
===================================================================
--- mbbsd/bbs.c	(revision 3163)
+++ mbbsd/bbs.c	(working copy)
@@ -2967,16 +2967,14 @@
     if (((bp->brdattr & BRD_HIDE) && (bp->brdattr & BRD_POSTMASK))) {
 	if (getans("ثeݪOΤ, nѰ(y/N)?") != 'y')
 	    return FULLUPDATE;
-	bp->brdattr &= ~BRD_HIDE;
-	bp->brdattr &= ~BRD_POSTMASK;
+	set_board_hidden(bp, 0);
 	outs("gߤǲHALBDqC\n");
 	board_hidden_status = 0;
 	hbflreload(currbid);
     } else {
 	if (getans("n]wݪOζ(y/N)?") != 'y')
 	    return FULLUPDATE;
-	bp->brdattr |= BRD_HIDE;
-	bp->brdattr |= BRD_POSTMASK;
+	set_board_hidden(bp, 1);
 	outs("gߤwAߵ۬íC\n");
 	board_hidden_status = 1;
     }
Index: mbbsd/board.c
===================================================================
--- mbbsd/board.c	(revision 3163)
+++ mbbsd/board.c	(working copy)
@@ -1293,3 +1293,15 @@
     currstat = stat0;
     return 0;
 }
+
+inline void
+set_board_hidden(boardheader_t *bp, int hidden)
+{
+    if (hidden) {
+	bp->brdattr |= BRD_HIDE;
+	bp->brdattr |= BRD_POSTMASK;
+    } else {
+	bp->brdattr &= ~BRD_HIDE;
+	bp->brdattr &= ~BRD_POSTMASK;
+    }
+}
Index: mbbsd/admin.c
===================================================================
--- mbbsd/admin.c	(revision 3163)
+++ mbbsd/admin.c	(working copy)
@@ -854,6 +854,12 @@
     newboard.brdattr |= BRD_CPLOG;
 #endif
 
+    getdata(9, 0, "O_? (y/N)G", genbuf, 3, LCECHO);
+    if (genbuf[0] == 'y')
+	set_board_hidden(&newboard, 1);
+    else
+	set_board_hidden(&newboard, 0);
+
     if (HasUserPerm(PERM_SYSOP)) {
 	move(1, 0);
 	clrtobot();
@@ -861,7 +867,7 @@
 	move(1, 0);
 	clrtobot();
     }
-    getdata(9, 0, "OݪO? (N:ؿ) (Y/n)G", genbuf, 3, LCECHO);
+    getdata(10, 0, "OݪO? (N:ؿ) (Y/n)G", genbuf, 3, LCECHO);
     if (genbuf[0] == 'n')
     {
 	newboard.brdattr |= BRD_GROUPBOARD;
